%define	svn_rel	55
%define name    kbclient
%define version 0.0.1
%define release %mkrel	0.1svn%{svn_rel}

Name:		%{name}
Summary:	A KDE4/Qt4-Application for Volunteer Computing
Summary(de.UTF-8):Ein KDE Programm für BOINC
Version:	%{version}
Release:	%{release}
License:	GPL v3
Group:		Applications/Scientific
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-fix_desktop_file.patch
Url:		http://www.eleven-67.net/
Vendor:		Georg Lassnig
%ifarch x86_64
Requires:	lib64qtcore4 lib64qtgui4 lib64qtnetwork4
Requires:	lib64kdeui5 lib64kdecore5
%else
Requires:	libqtcore4 libqtgui4 libqtnetwork4
Requires:	libkdeui5 libkdecore5
%endif
BuildRequires:	qt4-devel
BuildRequires:	kdelibs4-devel kdebase4-devel kdebase4-runtime-devel kdebase4-workspace-devel

%description
K-Boinc-Client is a KDE4/Qt4-Application for Volunteer Computing and Grid Computing with the Berkeley Boinc Software.
%description -l de
K-Boinc-Client ist ein KDE4/Qt4 Programm um seine BOINC Projektkonten zu verwalten.

%prep
%setup -q
%patch0 -p1 -b .fix

%build
export PATH=/usr/lib/qt4/bin:$PATH
export QTDIR=%{_prefix}/lib/qt4/

lrelease kbc.pro
qmake
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
make

%install
make install INSTALL="%{__install} -p" DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}
%{__rm} -rf %{buildroot}/%{_docdir}/kde/HTML/*/kbclient/images

%post
%{update_menus}

%postun
%{clean_menus}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/kbclient
%{_datadir}/applications/kde4/%{name}.desktop
%{_docdir}/kde/HTML/*/%{name}/*
%{_docdir}/packages/%{name}/*
%{_datadir}/pixmaps/kbclient.png

%changelog
* Sun Aug 29 2010 Jens Ornot <rpm@mandrivauser.de> 0.0.1-0.1svn55mud2010.1
- Initial release
